AC_DEFUN(DV_REQUIRE_MYSQL,
[
DV_REQUIRE_LIB([mysql.h],[mysql_init(0);],mysqlclient,
  [ ${prefix}/lib ${prefix}/mysql/lib ${prefix}/mysql/lib/mysql \
  /usr/lib /usr/local/lib /usr/lib/mysql /usr/local/lib/mysql /usr/local/mysql/lib/mysql ],
  [ ${prefix}/include ${prefix}/mysql/include ${prefix}/mysql/include/mysql \
  /usr/include /usr/local/include /usr/include/mysql /usr/local/include/mysql /usr/local/mysql/include/mysql] )
])                

@AC_DEFUN(DV_HAVE_INPUT_ITERATOR,[
AC_MSG_CHECKING([std::iterator exists])
DV_ITERATOR=""

AC_LANG_PUSH(C++)
if test -z "$DV_ITERATOR"; then
  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iterator>]], [[
    typedef std::iterator<std::input_iterator_tag, int> it;
    ]])],[DV_ITERATOR="iterator"],[])
fi

if test -z "$DV_ITERATOR"; then
  AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <iterator>]], [[
    typedef std::input_iterator<int, ptrdiff_t> it;
    ]])],[DV_ITERATOR="input_iterator"],[])
fi
AC_LANG_POP(C++)

if test -n "$DV_ITERATOR"; then
  AC_MSG_RESULT($DV_ITERATOR)
fi

if test -z "$DV_ITERATOR"; then
  AC_MSG_ERROR([neiter iterator<2> nor input_iterator<2> ])
fi

if test "$DV_ITERATOR" = input_iterator; then
  VECTOR_STRING_INPUT_ITERATOR="std::input_iterator<std::vector<std::string>, ptrdiff_t>"
  AC_SUBST(VECTOR_STRING_INPUT_ITERATOR)
elif test "$DV_ITERATOR" = iterator; then
  VECTOR_STRING_INPUT_ITERATOR="std::iterator<std::input_iterator_tag, std::vector<std::string> >"
  AC_SUBST(VECTOR_STRING_INPUT_ITERATOR)
else
  AC_MSG_ERROR([neiter iterator<2> nor input_iterator<2> available])
fi

])

