// $Id: test-props.C,v 1.1 2002/10/19 13:50:13 dvermeir Exp $

#include <string>
#include <iostream>
#include <fstream>

#include <dvutil/props.h>
#include <dvmysql/mysqldb.h>

using namespace std;
using namespace Dv;

bool	verbose(false);

// a helper function that executes a text as a databse command and
// aborts the program if the execution failed
void
do_simple_command(Sql::Db& db,const char* txt,bool care=true) {
Sql::Command u(db,txt);

u.exec();

if (!u && care)
  throw runtime_error(u.err());
}

int
main(int argc,char* argv[]) {
try {
  static const string CONFIG("tmysql.config");
  ifstream	ifs(CONFIG.c_str());
  if (!ifs)
    throw runtime_error(CONFIG+": cannot open");
  
  Dv::Util::Props	config(ifs);

  // open a connection to the database
  
  MySql::Db	db(config,"tprops::");
  
  Sql::Command	q(db,"select * from test where word like 'z%'");

  if (!q.exec())
    throw runtime_error(q.text() + ": failed: " + q.err());

  Util::Props	answers;
  for (Sql::Command::iterator i=q.begin(); i!=q.end(); ++i)
    cout << (answers << i) << "\n";

  return 0; // everything checks out, return 0 to confirm successful test
  }
catch (exception& e) {
  cerr << e.what() << endl;
  return 1;
  }
}
