// $Id$
#include <dvutil/tostring.h>
#include "sqldb.h"

int
main(int, char**) {
try {
  std::string s("20030817140512");
  Dv::Util::Date d(Dv::Sql::Field::timestamp2date(s));
  if (d.year() != 2003)
    throw std::runtime_error(Dv::Util::tostring(d.year()) + ": wrong year");
  if (d.month() != 7) // months are counted from 0!
    throw std::runtime_error(Dv::Util::tostring(d.month()) + ": wrong month");
  if (d.day() != 17)
    throw std::runtime_error(Dv::Util::tostring(d.day()) + ": wrong day");
  if (d.hours() != 14)
    throw std::runtime_error(Dv::Util::tostring(d.hours()) + ": wrong hour");
  if (d.minutes() != 5)
    throw std::runtime_error(Dv::Util::tostring(d.minutes()) + ": wrong minutes");
  if (d.seconds() != 12)
    throw std::runtime_error(Dv::Util::tostring(d.seconds()) + ": wrong seconds");
  return 0;
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
}
